#Exif2CSV
`Exif2CSV` will allow you to extract *Exif* information from multiple images and store it into a *CSV* file. You will then be able to process data in a database or in tools such as *OpenOffice Calc*.

You might be interested in [ExposurePlot](http://www.vandel.nl/exposureplot.html) as a sexyer alternative to this script.

##Installation on Windows

* Download and install [RubyInstaller](http://rubyinstaller.org/downloads/);
* Download and unzip [ExifTool](http://www.sno.phy.queensu.ca/~phil/exiftool/) in the directory you'll be calling the script from (or in a directory in your PATH);
* Rename `exiftool(-k).exe` to `exiftool.exe`;
* Start `cmd.exe` and execute `gem install mini_exiftool`. You might have to specify the full path to `gem.exe`, for instance `C:\Ruby186\bin\gem.exe install mini_exiftool`.

Generate a *CSV* file with `./ruby2csv.rb C:/path/to/pictures`.

Again, depending on your `PATH`, you might have to specify the full path to ruby.exe: `C:\Ruby186\bin\ruby.exe ruby2csv.rb C:/path/to/pictures`.

##Installation on Debian GNU/Linux

On Debian (and probably Debian based distributions like Ubuntu), follow the following steps (as root).

```sh
apt-get install ruby rubygems libimage-exiftool-perl
gem install mini_exiftool
```

Generate a *CSV* file with `./ruby2csv.rb /path/to/pictures`. 
